Bug 135754 - [GTK] Child processes should be installed in a versioned directory
Summary: [GTK] Child processes should be installed in a versioned directory
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks:
 
Reported: 2014-08-08 02:25 PDT by Carlos Garcia Campos
Modified: 2014-08-24 23:48 PDT (History)
6 users (show)

See Also:


Attachments
Patch (1.76 KB, patch)
2014-08-08 02:28 PDT, Carlos Garcia Campos
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2014-08-08 02:25:05 PDT
To make it possible to install 2.4 and 2.6 in parallel.
Comment 1 Carlos Garcia Campos 2014-08-08 02:28:21 PDT
Created attachment 236273 [details]
Patch
Comment 2 Carlos Garcia Campos 2014-08-10 00:10:16 PDT
Committed r172376: <http://trac.webkit.org/changeset/172376>
Comment 3 Alberto Garcia 2014-08-19 04:45:23 PDT
I noticed we have a bit of a problem here, we are installing the
binaries in ${libexec}/webkitgtk-4.0/ (see LIBEXEC_INSTALL_DIR in
OptionsGTK.cmake) but we are also installing the injected bundle in
${libdir}/webkit2gtk-4.0/ (see PlatformGTK.cmake).

I suggest that we use webkit2gtk-4.0 in both cases.
Comment 4 Carlos Garcia Campos 2014-08-24 23:48:06 PDT
(In reply to comment #3)
> I noticed we have a bit of a problem here, we are installing the
> binaries in ${libexec}/webkitgtk-4.0/ (see LIBEXEC_INSTALL_DIR in
> OptionsGTK.cmake) but we are also installing the injected bundle in
> ${libdir}/webkit2gtk-4.0/ (see PlatformGTK.cmake).
> 
> I suggest that we use webkit2gtk-4.0 in both cases.

You are right, if we use ${libexec}/webkitgtk-4.0/ we should probably add another directory ${libexec}/webkitgtk-4.0/webkit2 or something like that, similar to what we do for header files. But it's very unlikely that we add another wk API layer that has extensions and processes, so it's simpler to use webkit2gtk-4.0 directly. Please, file a new bug report for this.